Page MenuHomePhabricator

When starting webservice, ConfigParser.NoSectionError: No section: 'Default'
Closed, ResolvedPublic

Description

12:07:12 <Davod> I'm getting this message
12:07:13 <Davod> Traceback (most recent call last):
12:07:13 <Davod>   File "/usr/local/bin/webservice", line 109, in <module>
12:07:13 <Davod>     backend = config.get('Default', '--backend')
12:07:13 <Davod>   File "/usr/lib/python2.7/ConfigParser.py", line 607, in get
12:07:13 <Davod>     raise NoSectionError(section)
12:07:14 <Davod> ConfigParser.NoSectionError: No section: 'Default'
12:07:44 <Davod> when running webservice, whatever parameters I provided, whatever backend I use

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 26 2018, 8:44 AM

@Amitie_10g Do you have a ~/.webservicerc file?

Amitie_10g added a comment.EditedDec 27 2018, 11:54 PM

@Amitie_10g Do you have a ~/.webservicerc file?

Yes, and it is empty. However, when I started invoking explicitly the parameters to use Kubernetes, it start successfuly.

bd808 added a subscriber: bd808.Dec 27 2018, 11:55 PM

@Amitie_10g Do you have a ~/.webservicerc file?

Yes, and it is empty.

Delete the empty file.

Amitie_10g closed this task as Resolved.Jan 25 2019, 11:28 AM

Resolved, but I think this behaviour should not happen.